View Issue Details

IDProjectCategoryView StatusLast Update
0000126WoR ImagerRaspberry Pi 4 (ARM64)public2021-01-02 14:02
Reporter10fab12 Assigned ToMario  
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionunable to reproduce 
OSwindows 10 OS Version17134.112 
Product Version2.0.1 
Summary0000126: l installation echoue
Description

2020-11-19 18:33:07.6364 [info] Installing the boot files on: N
2020-11-19 18:33:07.6521 [error] System.IO.DirectoryNotFoundException: Impossible de trouver une partie du chemin d'accès 'N:\'.
à System.IO.Error.WinIOError(Int32 errorCode, String maybeFullPath)
à System.IO.FileSystemEnumerableIterator1.CommonInit() à System.IO.FileSystemEnumerableIterator1..ctor(String path, String originalUserPath, String searchPattern, SearchOption searchOption, SearchResultHandler`1 resultHandler, Boolean checkHost)
à System.IO.DirectoryInfo.InternalGetFiles(String searchPattern, SearchOption searchOption)
à WoR.Utils.Filesystem.FileUtils.RecursiveDelete(DirectoryInfo Dir)
à System.Threading.Tasks.Task.Execute()
--- Fin de la trace de la pile à partir de l'emplacement précédent au niveau duquel l'exception a été levée ---
à System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
à System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
à WoR.Utils.Filesystem.FileUtils.<RecursiveDeleteAsync>d
1.MoveNext()
--- Fin de la trace de la pile à partir de l'emplacement précédent au niveau duquel l'exception a été levée ---
à System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
à System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
à WoR.Setup.SetupProcess.<CopyBootFilesTask>d26.MoveNext()
--- Fin de la trace de la pile à partir de l'emplacement précédent au niveau duquel l'exception a été levée ---
à System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
à System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
à WoR.Setup.SetupProcess.<Run>d
16.MoveNext()

TagsNo tags attached.

Activities

Mario

Mario

2020-11-22 13:08

administrator   ~0000224

Hi, please upload the entire log file.

10fab12

10fab12

2020-12-03 13:16

reporter   ~0000228

2020-12-03 13:33:27.1493 [info] Windows on Raspberry 64-bit (version 2.0.1)
2020-12-03 13:33:27.2274 [info] Copyright © 2018-2020 Mario Bălănică. All Rights Reserved.
2020-12-03 13:33:27.2274 [info] OS: Windows 10 Pro ver 1803 (17134.1.amd64fre.rs4_release.180410-1804)
2020-12-03 13:33:27.2430 [info] OS language: fr-FR
2020-12-03 13:33:27.7958 [info] Loaded language: en-US
2020-12-03 13:33:27.9989 [info] Checking for updates...
2020-12-03 13:33:29.8584 [info] No updates found.
2020-12-03 13:33:33.1295 [info] Loading disks...
2020-12-03 13:33:33.3016 [info] Disk 1 - Mass Storage Device USB Device - Removable Media - 119 GB
2020-12-03 13:33:33.3016 [info] ⚠ Disk 0 - KINGSTON SV300S37A240G - Fixed hard disk media - 223 GB
2020-12-03 13:33:33.3016 [info] 2 disk(s) found
2020-12-03 13:33:39.6921 [info] Selected disk: Disk 1 - Mass Storage Device USB Device - Removable Media - 119 GB
2020-12-03 13:33:41.3952 [info] Selected device: Raspberry Pi 4 [ARM64]
2020-12-03 13:33:53.3173 [info] Selected image (ISO): 19041.330.200609-1447.VB_RELEASE_SVC_IM_CLIENTMULTICOMBINED_UUP_A64FRE_NETFX_EN-GB.ISO
2020-12-03 13:33:53.4422 [info] Mounting the ISO image...
2020-12-03 13:33:59.1293 [info] ISO file mounted on: D:\
2020-12-03 13:33:59.1293 [info] Found WIM image: D:\sources\install.wim
2020-12-03 13:33:59.2543 [info] Selected edition: Windows 10 Pro build 19041.330
2020-12-03 13:34:05.8008 [info] Drivers package source: server
2020-12-03 13:34:05.8164 [info] Drivers package remote repository: worproject/RPi-Windows-Drivers
2020-12-03 13:34:05.9102 [debug] Verifying the local asset...
2020-12-03 13:34:05.9102 [debug] Local asset ID: "27607427"
2020-12-03 13:34:05.9258 [debug] Getting the latest release from "worproject/RPi-Windows-Drivers"
2020-12-03 13:34:07.8007 [debug] Release name: "Version 0.5", ID: "33130298"
2020-12-03 13:34:07.8007 [debug] Getting the latest asset from release "33130298"
2020-12-03 13:34:07.8007 [debug] Asset name filter: "RPi4_Windows_ARM64"
2020-12-03 13:34:07.8007 [debug] Asset name: "RPi4_Windows_ARM64_Drivers_v0.5.zip", ID: "27607427"
2020-12-03 13:34:07.8007 [debug] The local asset is up-to-date!
2020-12-03 13:34:12.1132 [info] UEFI package source: server
2020-12-03 13:34:12.1132 [info] UEFI package remote repository: pftf/RPi4
2020-12-03 13:34:12.2070 [debug] Verifying the local asset...
2020-12-03 13:34:12.2070 [debug] Local asset ID: "28278505"
2020-12-03 13:34:12.2070 [debug] Getting the latest release from "pftf/RPi4"
2020-12-03 13:34:13.4882 [debug] Release name: "v1.21", ID: "33914232"
2020-12-03 13:34:13.4882 [debug] Getting the latest asset from release "33914232"
2020-12-03 13:34:13.4882 [debug] Asset name: "RPi4_UEFI_Firmware_v1.21.zip", ID: "28278505"
2020-12-03 13:34:13.4882 [debug] The local asset is up-to-date!
2020-12-03 13:34:26.1598 [info] -- Installation details --
2020-12-03 13:34:26.1598 [info] Disk
2020-12-03 13:34:26.1754 [info] Index: 1
2020-12-03 13:34:26.1754 [info] Name: Mass Storage Device USB Device
2020-12-03 13:34:26.1754 [info] Type: Removable Media
2020-12-03 13:34:26.1754 [info] Size: 119
2020-12-03 13:34:26.1754 [info] Device
2020-12-03 13:34:26.1754 [info] Type: RPi4-ARM64
2020-12-03 13:34:26.1911 [info] Image
2020-12-03 13:34:26.1911 [info] Format: ISO
2020-12-03 13:34:26.1911 [info] Index: 1
2020-12-03 13:34:26.1911 [info] Name: Windows 10 Pro
2020-12-03 13:34:26.1911 [info] Arch: ARM64
2020-12-03 13:34:26.1911 [info] Build: 19041.330
2020-12-03 13:34:26.1911 [info] Drivers package
2020-12-03 13:34:26.1911 [info] FilePath: worproject/RPi-Windows-Drivers
2020-12-03 13:34:26.1911 [info] ExtractedPath: C:\olavach\fab ô\arm\WoR_Release_2.0.1\res\drivers\RPi4-ARM64
2020-12-03 13:34:26.2067 [info] UEFI package
2020-12-03 13:34:26.2223 [info] FilePath: pftf/RPi4
2020-12-03 13:34:26.2223 [info] ExtractedPath: C:\olavach\fab ô\arm\WoR_Release_2.0.1\res\bootpackage\RPi4-ARM64
2020-12-03 13:34:26.2223 [info] Options
2020-12-03 13:34:26.2223 [info] UseLZXCompression: False
2020-12-03 13:34:26.2223 [info] PartitionScheme: MBR
2020-12-03 13:34:26.2223 [info] ImageDeployer: WIMGAPI
2020-12-03 13:34:26.2223 [info] MemoryLimit: 8192
2020-12-03 13:34:26.2223 [info] RecoveryEnabled: False
2020-12-03 13:34:26.2223 [info] Boot config
2020-12-03 13:34:26.2536 [info] Path: C:\olavach\fab ô\arm\WoR_Release_2.0.1\res\bootpackage\RPi4-ARM64_wor_boot_config.txt
2020-12-03 13:34:26.2536 [info] Contents:
2020-12-03 13:34:26.2536 [info] arm_64bit=1
2020-12-03 13:34:26.2536 [info] enable_uart=1
2020-12-03 13:34:26.2536 [info] uart_2ndstage=1
2020-12-03 13:34:26.2536 [info] enable_gic=1
2020-12-03 13:34:26.2536 [info] armstub=RPI_EFI.fd
2020-12-03 13:34:26.2692 [info] disable_commandline_tags=1
2020-12-03 13:34:26.2692 [info] disable_overscan=1
2020-12-03 13:34:26.2692 [info] device_tree_address=0x1f0000
2020-12-03 13:34:26.2692 [info] device_tree_end=0x200000
2020-12-03 13:34:26.2692 [info] dtoverlay=miniuart-bt
2020-12-03 13:34:26.2692 [info]
2020-12-03 13:34:26.2692 [info] CompressionRequired: False
2020-12-03 13:34:26.2848 [info] -- End of installation details --
2020-12-03 13:34:26.2848 [info] The installation process has started!
2020-12-03 13:34:26.2848 [info] Formatting the target device...
2020-12-03 13:34:26.3004 [debug] Launch diskpart.exe with the following commands: select disk 1 , clean , exit
2020-12-03 13:34:28.0193 [debug] diskpart.exe process output:
2020-12-03 13:34:28.0193 [debug] Standard output:

Microsoft DiskPart version 10.0.17134.1

Copyright (C) Microsoft Corporation.
Sur l'ordinateur : DESKTOP-QMF2HL2

DISKPART>
Le disque 1 est maintenant le disque s‚lectionn‚.

DISKPART>
DiskPart a r‚ussi … nettoyer le disque.

DISKPART>
Quitte DiskPart...

2020-12-03 13:34:31.5352 [info] The target device has been erased!
2020-12-03 13:34:31.5352 [info] Allocated partition letters:
2020-12-03 13:34:31.5352 [info] Windows partition: U
2020-12-03 13:34:31.5352 [info] Boot partition: V
2020-12-03 13:34:31.5352 [info] Creating the partitions...
2020-12-03 13:34:31.5352 [debug] Launch diskpart.exe with the following commands: select disk 1 , convert mbr , create partition primary size=128 , format fs=fat32 quick label=BOOT , assign letter=V , active , create partition primary , format fs=ntfs quick label=Windows , assign letter=U , exit
2020-12-03 13:34:43.7311 [debug] diskpart.exe process output:
2020-12-03 13:34:43.7311 [debug] Standard output:

Microsoft DiskPart version 10.0.17134.1

Copyright (C) Microsoft Corporation.
Sur l'ordinateur : DESKTOP-QMF2HL2

DISKPART>
Le disque 1 est maintenant le disque s‚lectionn‚.

DISKPART>
DiskPart a correctement converti le disque s‚lectionn‚ au format MBR.

DISKPART>
DiskPart a fait r‚f‚rence … un objet qui n'est pas … jour.
Actualisez l'objet … l'aide de la commande RESCAN.
Si le problŠme persiste, quittez DiskPart, puis relancez DiskPart ou red‚marrez l'ordinateur.

DISKPART>
Aucun volume n'est s‚lectionn‚.
S‚lectionnez un volume et essayez … nouveau.

DISKPART>
Aucun volume n'est sp‚cifi‚.
S‚lectionnez un volume et essayez … nouveau.

DISKPART>
DISKPART>
DiskPart a r‚ussi … cr‚er la partition sp‚cifi‚e.

DISKPART>

0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s
0 pour cent effectu‚s

100 pour cent effectu‚s
DiskPart a format‚ le volume.

DISKPART>
DiskPart a correctement assign‚ la lettre de lecteur ou le point de montage.

DISKPART>
Quitte DiskPart...

2020-12-03 13:34:43.7311 [info] The partitions have been created!
2020-12-03 13:34:43.7468 [info] Applying the WIM image to: U
2020-12-03 13:34:43.7468 [trace] Started Windows Imaging
2020-12-03 14:10:18.9620 [trace] Windows Imaging finished the task successfully!
2020-12-03 14:10:18.9620 [info] The image has been applied to: U
2020-12-03 14:10:18.9776 [info] Installing the drivers...
2020-12-03 14:10:35.7266 [info] The drivers have been installed!
2020-12-03 14:10:35.7266 [info] Installing the boot files on: V
2020-12-03 14:10:35.7266 [error] System.IO.DirectoryNotFoundException: Impossible de trouver une partie du chemin d'accès 'V:\'.
à System.IO.Error.WinIOError(Int32 errorCode, String maybeFullPath)
à System.IO.FileSystemEnumerableIterator1.CommonInit() à System.IO.FileSystemEnumerableIterator1..ctor(String path, String originalUserPath, String searchPattern, SearchOption searchOption, SearchResultHandler`1 resultHandler, Boolean checkHost)
à System.IO.DirectoryInfo.InternalGetFiles(String searchPattern, SearchOption searchOption)
à WoR.Utils.Filesystem.FileUtils.RecursiveDelete(DirectoryInfo Dir)
à System.Threading.Tasks.Task.Execute()
--- Fin de la trace de la pile à partir de l'emplacement précédent au niveau duquel l'exception a été levée ---
à System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
à System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
à WoR.Utils.Filesystem.FileUtils.<RecursiveDeleteAsync>d
1.MoveNext()
--- Fin de la trace de la pile à partir de l'emplacement précédent au niveau duquel l'exception a été levée ---
à System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
à System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
à WoR.Setup.SetupProcess.<CopyBootFilesTask>d26.MoveNext()
--- Fin de la trace de la pile à partir de l'emplacement précédent au niveau duquel l'exception a été levée ---
à System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw()
à System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
à WoR.Setup.SetupProcess.<Run>d
16.MoveNext()
2020-12-03 14:10:35.7578 [warn] The installation could not be finished!
2020-12-03 14:10:35.7735 [info] Elapsed time: 00:36:09

Mario

Mario

2020-12-03 16:10

administrator   ~0000229

Last edited: 2020-12-03 16:11

Try running the following commands in diskpart (open CMD as admin, type diskpart), and post the output here:

select disk 1
convert mbr
create partition primary size=128 
format fs=fat32 quick label=BOOT

Replace disk 1 with the actual index of your target drive.

Mario

Mario

2021-01-02 14:02

administrator   ~0000232

Closed due to inactivity.

Issue History

Date Modified Username Field Change
2020-11-20 17:17 10fab12 New Issue
2020-11-22 13:08 Mario Note Added: 0000224
2020-12-03 13:16 10fab12 Note Added: 0000228
2020-12-03 16:10 Mario Note Added: 0000229
2020-12-03 16:10 Mario Note Edited: 0000229
2020-12-03 16:11 Mario Note Edited: 0000229
2021-01-02 14:02 Mario Assigned To => Mario
2021-01-02 14:02 Mario Status new => closed
2021-01-02 14:02 Mario Resolution open => unable to reproduce
2021-01-02 14:02 Mario Note Added: 0000232